Technical Support



If the below information does not satisfactorily address your question or issue, please contact us for further assistance.

Q: How often will I be notified of my device’s location?
    A: You will be notified shortly after every flight.


Q: My Device did not notify me when I landed. What should I do?
    A: There are several potential causes. Your luggage may still be at the original airport. Login to the Trakdot website and check the last known location of your luggage. If the location has not changed, check the baggage claim to verify that your bag is not onsite. Contact your carrier to retrieve your luggage. Your luggage may have been placed on a different flight. You will be notified once your luggage lands. Contact your carrier to retrieve your luggage. The batteries may have died in flight. It is recommended that you replace your batteries prior to every flight. CAUTION: DO NOT USE LITHIUM-ION BATTERIES


Q: My device notified me on several legs of my trip, but did not notify me on all of them. Why and what should I do?
    A: There are several potential causes. The airport with the missing notification may not have the required cellular coverage. While GSM service is available at most airports, coverage is not 100%. The batteries may have died in flight during one of the legs. It is recommended that you change the batteries on a regular basis and monitor the battery levels.


Q: When I look at My Trakdot history, I see many more locations listed than I received notifications. Why is this?
    A: You will only be notified when the device travels near an airport location.


Q: Will the mobile app work on my device?
    A: The mobile app is supported on the following devices: For iPhones - The App will work on iPhone 4S and higher that are running iOS 7 and higher. The Bluetooth 4.0 feature of TrakDot will only work with iPhone 4S and higher.
For Andriod - The App will work on Android Devices with Android 2.3 (Gingerbread) and higher. The Bluetooth feature will only work with Android devices that support Blutooth 4.0 and are running Android 4.3 and higher.